Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::ThreadPolicy Interface Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::ThreadPolicy:

[legend]
Collaboration diagram for PortableServer::ThreadPolicy:

[legend]
List of all members.

## Public Types
typedef ThreadPolicy_ptr | _ptr_type
typedef ThreadPolicy_var | _var_type
## Public Methods
virtual::PortableServer::ThreadPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
ThreadPolicy_ptr | _duplicate (ThreadPolicy_ptr obj)
ThreadPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ThreadPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ThreadPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ThreadPolicyValue | value
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| ThreadPolicy (void)
virtual | ~ThreadPolicy (void)
## Private Methods
| ThreadPolicy (const ThreadPolicy &)
void | operator= (const ThreadPolicy &)

## Member Typedef Documentation

typedef ThreadPolicy_ptr PortableServer::ThreadPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef ThreadPolicy_var PortableServer::ThreadPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ThreadPolicy::ThreadPolicy | ( | void |  | ) | `[protected]`

virtual PortableServer::ThreadPolicy::~ThreadPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ThreadPolicy::ThreadPolicy | ( | const ThreadPolicy & |  | ) | `[private]`

## Member Function Documentation

ThreadPolicy_ptr PortableServer::ThreadPolicy::_duplicate | ( | ThreadPolicy_ptr | obj | ) | `[static]`

virtual const char* PortableServer::ThreadPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

ThreadPolicy_ptr PortableServer::ThreadPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

ThreadPolicy_ptr PortableServer::ThreadPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

virtual void* PortableServer::ThreadPolicy::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

ThreadPolicy_ptr PortableServer::ThreadPolicy::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

void PortableServer::ThreadPolicy::operator= | ( | const ThreadPolicy & |  | ) | `[private]`

virtual ::PortableServer::ThreadPolicyValue PortableServer::ThreadPolicy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Reimplemented in TAO_Thread_Policy.

## Member Data Documentation

int PortableServer::ThreadPolicy::_tao_class_id`[static]`

| Reimplemented from CORBA::Policy.

readonly attribute ThreadPolicyValue PortableServer::ThreadPolicy::value

The documentation for this interface was generated from the following files:

- PortableServer.pidl
- PortableServerC.h